## octave-linear-algebra 1.0.5

=== DESCRIPTION ===
Name: Linear-Algebra
Version: 1.0.5
Date: 2008-04-29
Author: Various Authors
Maintainer: The Octave Community
Title: Linear Algebra.
Description: Additional linear algebra code, including general SVD and matrix functions.
Categories: Linear-Algebra
Depends: octave (>= 2.9.7)
Autoload: yes
License: GPL version 2 or later
Url: http://octave.sf.net
