## octave-linear-algebra 1.0.7

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Name: Linear-Algebra
-Version: 1.0.5
-Date: 2008-04-29
+Version: 1.0.7
+Date: 2009-05-03
 Author: Various Authors
 Maintainer: The Octave Community
 Title: Linear Algebra.
