## octave-linear-algebra 1.0.8

=== DESCRIPTION ===
Name: Linear-Algebra
Version: 1.0.8
Date: 2009-05-18
Author: Various Authors
Maintainer: The Octave Community
Title: Linear Algebra.
Description: Additional linear algebra code, including general SVD and matrix functions.
Categories: Linear-Algebra
Depends: octave (> 3.1.54)
Autoload: yes
License: GPL version 2 or later
Url: http://octave.sf.net
