=== src/Makefile ===
--- 
+++ 
@@ -9,7 +9,7 @@
 GSVD_TARGET = gsvd.oct
 GSVD_DEPENDS = gsvd.d dbleGSVD.d CmplxGSVD.d
 
-OTHER_OBJECTS = outer.o GramSchmidt.o
+OTHER_OBJECTS = mgorth.o
 OTHER_TARGETS = $(patsubst %.o,%.oct,$(OTHER_OBJECTS))
 OTHER_DEPENDS = $(patsubst %.o,%.d,$(OTHER_OBJECTS))
