=== debian/changelog ===
octave-linear-algebra (2.0.0-2) unstable; urgency=low

  * Upload to unstable

 -- Thomas Weber <tweber@debian.org>  Thu, 14 Apr 2011 20:57:40 +0200

octave-linear-algebra (2.0.0-1) experimental; urgency=low

  * New upstream release
  * debian/control: 
    - Remove Rafael Laboissiere from Uploaders (Closes: #571850)
    - Remove Ólafur Jens Sigurðsson <ojsbug@gmail.com> from Uploaders 
  * Switch to dpkg-source 3.0 (quilt) format

 -- Thomas Weber <tweber@debian.org>  Thu, 02 Sep 2010 22:40:07 +0200

octave-linear-algebra (1.0.8-1) unstable; urgency=low

  [ Rafael Laboissiere ]
  * debian/control: Build-depend on octave-pkg-dev >= 0.7.0, such that the
    package is built against octave3.2

  [ Thomas Weber ]
  * New upstream release
  * Removed patch smwsolve-norm-in-test.diff, no more necessary for octave3.2
  * debian/rules: 
    + permissions of cartprod.m were fixed upstream, remove code
    + Use debian/clean for cleaning, remove code

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Sun, 06 Dec 2009 23:11:23 +0100

octave-linear-algebra (1.0.7-1) unstable; urgency=low

  * New upstream release
  * debian/patches/smwsolve-norm-in-test.diff: Add patch for making the
    test of smwsolve succeed
  * debian/control:
    + (Build-Depends): Add quilt
    + (Standards-Version): Bump to 3.8.1 (no changes needed)
    + (Depends): Add ${misc:Depends}
    + (Vcs-Git, Vcs-Browser): Adjust to new Git repository
  * debian/rules:
    + Include patchsys-quilt.mk
    + Fix wrong permission of script cartprod.m
  * debian/copyright: Use DEP5 URL in Format-Specification

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 24 May 2009 15:01:42 +0200

octave-linear-algebra (1.0.6-2) unstable; urgency=low

  [ Rafael Laboissiere ]
  * debian/copyright: Add header
  * debian/control: Bump build-dependency on octave-pkg-dev to >= 0.6.4,
    such that the package is built with the versioned packages directory

  [ Thomas Weber ]
  * Upload to unstable

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Sat, 04 Apr 2009 23:10:48 +0200

octave-linear-algebra (1.0.6-1) experimental; urgency=low

  [ Ólafur Jens Sigurðsson ]
  * Modified the watch file so uscan will find a match.
  * debian/control: Bumped Standards-Version to 3.8.0 (no changes
    needed)

  [ Thomas Weber ]
  * New upstream release
  * Bump dependency on octave-pkg-dev to 0.6.1, to get the experimental
    version

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Tue, 09 Dec 2008 22:16:36 +0100

octave-linear-algebra (1.0.5-1) unstable; urgency=low

  [ Ólafur Jens Sigurðsson ]
  * New upstream version

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Mon, 12 May 2008 10:23:28 +0200

octave-linear-algebra (1.0.4-1) unstable; urgency=low

  * Initial release (closes: #468508)

 -- Ólafur Jens Sigurðsson <ojsbug@gmail.com>  Sun, 10 Feb 2008 22:13:30 +0100
