=== debian/control ===
Source: octave-linear-algebra
Section: math
Priority: optional
Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
Uploaders: Thomas Weber <tweber@debian.org>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 6), cdbs, octave-pkg-dev (>= 0.7.0)
Standards-Version: 3.8.1
Homepage: http://octave.sourceforge.net/linear-algebra
Vcs-Git: git://git.debian.org/git/pkg-octave/octave-linear-algebra.git
Vcs-Browser: http://git.debian.org/?p=pkg-octave/octave-linear-algebra.git

Package: octave-linear-algebra
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${octave:Depends}
Description: additional linear-algebra functions for Octave
 This package provides additional functions to work on linear algebra
 code in Octave, a numerical computation software. This package
 includies general singular value methods to factorize a matrix
 (bicg), function to calculate the condition numbers of eigenvalues of
 a matrix (condeig), a matrix equivalant of the Octave function name
 (funm) and trigonometric/hyperbolic functions for square matrixes.
 .
 This Octave add-on package is part of the Octave-Forge project.
