## octave-linear-algebra 2.1.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Name: Linear-Algebra
-Version: 2.0.0
-Date: 2009-05-18
+Version: 2.1.0
+Date: 2011-11-06
 Author: Various Authors
-Maintainer: Jaroslav Hajek
+Maintainer: The Octave Community
 Title: Linear Algebra.
 Description: Additional linear algebra code, including general SVD and matrix functions.
 Categories: Linear-Algebra
