=== debian/changelog ===
octave-linear-algebra (2.1.0-2) unstable; urgency=low

  * debian/copyright: use final URL for machine-readable copyright format 1.0
  * Bump Standards-Version to 3.9.3, no changes needed
  * Bump to debhelper compat level 9
  * Build-depend on octave-pkg-dev >= 1.0.0 in order to build against Octave 3.6

 -- Sébastien Villemot <sebastien.villemot@ens.fr>  Sat, 10 Mar 2012 22:10:17 +0100

octave-linear-algebra (2.1.0-1) unstable; urgency=low

  [ Sébastien Villemot ]
  * Imported Upstream version 2.1.0
  * debian/rules: bump to debhelper compat level 8
  * Remove obsolete README.source
  * Bump to Standards-Version 3.9.2, no changes needed
  * Add myself to Uploaders
  * debian/copyright: update according to upstream changes and latest DEP5
  * debian/check.m: remove obsolete file (gsvd tests are now in .cc source)

 -- Thomas Weber <tweber@debian.org>  Mon, 21 Nov 2011 22:47:10 +0100
