## octave-linear-algebra 2.2.0

=== DESCRIPTION ===
Name: Linear-algebra
Version: 2.2.0
Date: 2012-21-05
Author: various authors
Maintainer: Octave-Forge community <octave-dev@lists.sourceforge.net>
Title: Linear algebra.
Description: Additional linear algebra code, including general SVD and matrix functions.
Categories: Linear algebra
Depends: octave (>= 3.2.3), general (>= 1.3.0)
Autoload: no
License: GPLv3+, LGPLv3+, FreeBSD
Url: http://octave.sf.net
