=== debian/changelog ===
octave-linear-algebra (2.2.0-1build1) trusty; urgency=medium

  * Rebuild for octave 3.8.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 24 Feb 2014 23:50:34 +0000

octave-linear-algebra (2.2.0-1) unstable; urgency=low

  * Imported Upstream version 2.2.0
  * autoload-yes.patch: new patch
  * fix-tests.patch: new patch
  * Add Build-Depends on octave-general >= 1.3.0
  * debian/copyright: reflect upstream changes
  * debian/watch: use SourceForge redirector
  * Add lintian overrides for false positives on hardening build flags

 -- Sébastien Villemot <sebastien.villemot@ens.fr>  Mon, 21 May 2012 21:44:31 +0200
