=== debian/control ===
--- 
+++ 
@@ -5,7 +5,8 @@
 Uploaders: Thomas Weber <tweber@debian.org>,
            Sébastien Villemot <sebastien.villemot@ens.fr>
 DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 9), cdbs, octave-pkg-dev (>= 1.0.0)
+Build-Depends: debhelper (>= 9), cdbs, octave-pkg-dev (>= 1.0.0),
+               octave-general (>= 1.3.0)
 Standards-Version: 3.9.3
 Homepage: http://octave.sourceforge.net/linear-algebra
 Vcs-Git: git://git.debian.org/git/pkg-octave/octave-linear-algebra.git
