=== debian/watch ===
version=3
http://sf.net/octave/linear-algebra-(.+)\.tar\.gz
