=== debian/changelog ===
octave-linear-algebra (2.2.2-7) unstable; urgency=medium

  * Team upload

  * d/control:
    + Add Rules-Requires-Root: no
    + Bump Standards-Version to 4.3.0
    + Bump to debhelper compat level 12
  * Build-depend on debhelper-compat instead of using d/compat

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 02 Jan 2019 22:56:24 -0200

octave-linear-algebra (2.2.2-6) unstable; urgency=medium

  [ Rafael Laboissiere ]
  * d/p/pgmres-unit-test-deterministic.patch: Add patch (Closes: #902382)

 -- Sébastien Villemot <sebastien@debian.org>  Fri, 29 Jun 2018 16:42:04 +0200

octave-linear-algebra (2.2.2-5) unstable; urgency=medium

  [ Mike Miller ]
  * d/control, d/copyright: Use secure URL for upstream source.

  [ Rafael Laboissiere ]
  * d/control: Bump Standards-Version to 4.1.4 (no changes needed)

  [ Sébastien Villemot ]
  * remove-condeig.patch: new patch taken from upstream
  * Fix FTBFS against Octave 4.4, using several upstream patches
    + F77_INT.patch
    + octave-config.patch
    + remove-autotools.patch

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 10 Jun 2018 22:00:35 +0200

octave-linear-algebra (2.2.2-4) unstable; urgency=medium

  * Use dh-octave for building the package
  * d/control:
     + Use Debian's GitLab URLs in Vcs-* headers
     + Change Maintainer to team+pkg-octave-team@tracker.debian.org

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 10 Feb 2018 07:32:50 -0200

octave-linear-algebra (2.2.2-3) unstable; urgency=medium

  * Team upload.

  [ Sébastien Villemot ]
  * d/copyright: use secure URL for format.
  * d/watch: bump to format version 4.
  * d/control: use cgit instead of gitweb in Vcs-Browser.

  [ Rafael Laboissiere ]
  * Use the dh-based version of octave-pkg-dev
  * Set debhelper compatibility level to >= 11
  * d/control:
    + Bump Standards-Version to 4.1.3 (no changes needed)
    + Add Testsuite field

 -- Rafael Laboissiere <rafael@debian.org>  Fri, 29 Dec 2017 22:13:44 -0200

octave-linear-algebra (2.2.2-2) unstable; urgency=medium

  * Team upload

  * d/o-l-a.lintian-overrides: Drop override for no-fortify hardening
  * d/control:
    + Use secure URIs in the Vcs-* fields
    + Bump Standards-Version to 3.9.8 (no changes needed)
  * d/s/options: New file (ignore files changed by the build process)

 -- Rafael Laboissiere <rafael@debian.org>  Mon, 15 Aug 2016 14:38:09 -0300

octave-linear-algebra (2.2.2-1) unstable; urgency=medium

  [ Rafael Laboissiere ]
  * Imported Upstream version 2.2.2
  * d/p/fix-tests.patch: Drop patch (applied upstream)
  * d/p/autoload-yes.patch: Remove patch (deprecated upstream)
  * Bump build-dependency on octave-pkg-dev, for proper unit testing
  * Drop build-dependency on octave-general

  [ Sébastien Villemot ]
  * mkoctfile-depends.patch: remove patch.
    It is no longer needed since #770192 is now fixed.

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 19 Jul 2015 21:17:36 +0200

octave-linear-algebra (2.2.0-3) unstable; urgency=medium

  * mkoctfile-depends.patch: new patch, drops the call to mkoctfile -M.
    Should fix FTBFS on armel, armhf, powerpc, ppc64el, s390x.

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 24 Sep 2014 09:44:38 +0200

octave-linear-algebra (2.2.0-2) unstable; urgency=medium

  [ Thomas Weber ]
  * debian/control: Use canonical URLs in Vcs-* fields

  [ Rafael Laboissiere ]
  * Remove obsolete DM-Upload-Allowed flag
  * debian/copyright: Use octave-maintainers mailing list as upstream contact

  [ Sébastien Villemot ]
  * Use my @debian.org email address
  * Uploaders: remove Thomas Weber and Rafael Laboissiere.
  * Bump Standards-Version to 3.9.6, no changes needed.

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 22 Sep 2014 18:15:26 +0200
