=== debian/watch ===
version=4
http://sf.net/octave/linear-algebra-(.+)\.tar\.gz
