## octave-linear-algebra 2.2.3

=== debian/changelog ===
octave-linear-algebra (2.2.3-5) unstable; urgency=medium

  * Team upload

  * d/control:
    + Update Homepage URL
    + Bump Standards-Version to 4.7.2 (no changes needed)
    + Drop “Rules-Requires-Root: no”, which is now the default
  * d/copyright: Update Source URL
  * d/u/metadata:
    + Add upstream repository URL
    + Update Bug-Database URL
  * d/watch: Convert to format version 5
  * d/s/lintian-override: Update override for the Lintian warning
    debian-watch-lacks-sourceforge-redirector

 -- Rafael Laboissière <rafael@debian.org>  Mon, 20 Oct 2025 11:46:33 -0300

octave-linear-algebra (2.2.3-4) unstable; urgency=medium

  * Team upload

  * d/copyright: Accentuate my family name
  * d/copyright: Update Copyright years for debian/* files
  * Set upstream metadata fields: Archive.
  * d/control: Bump Standards-Version to 4.6.1 (no changes needed)
  * Build-depend on dh-sequence-octave
    + d/control: Ditto
    + d/rules: Drop the --with=octave option from dh call
  * d/watch: Adjust for new URL at gnu-octave.github.io
  * d/s/lintian-override: Override Lintian warning
    debian-watch-lacks-sourceforge-redirector

 -- Rafael Laboissière <rafael@debian.org>  Mon, 05 Dec 2022 13:27:14 -0300

octave-linear-algebra (2.2.3-3) unstable; urgency=medium

  * Team upload

  * d/octave-linear-algebra.lintian-overrides: Drop obsolete override

 -- Rafael Laboissière <rafael@debian.org>  Tue, 10 Nov 2020 09:21:06 -0300

octave-linear-algebra (2.2.3-2) unstable; urgency=medium

  * Team upload

  * d/control:
    + Bump Standards-Version to 4.5.0 (no changes needed)
    + Bump debhelper compatibility level to 13
  * d/u/metadata: New file

 -- Rafael Laboissière <rafael@debian.org>  Sun, 02 Aug 2020 12:19:09 -0300

octave-linear-algebra (2.2.3-1) unstable; urgency=medium

  * Team upload

  * New upstream version 2.2.3
  * d/p/remove-condeig.patch: Drop patch (applied upstream)
  * d/p/octave-config.patch: Drop patch (removed upstream)
  * d/p/remove-autotools.patch: Drop patch (applied upstream)
  * d/p/F77_INT.patch: Drop patch (removed upstream)
  * d/p/pgmres-unit-test-deterministic.patch: Drop patch (removed upstream)
  * d/p/errwarn-instead-of-gripes.patch: Drop patch (removed upstream)
  * d/copyright: Reflect upstream changes
  * d/control: Declare Architecture: all

 -- Rafael Laboissiere <rafael@debian.org>  Fri, 15 Nov 2019 04:23:57 -0300

octave-linear-algebra (2.2.2-9) unstable; urgency=medium

  * Team upload

  * d/control: Bump dependency on dh-octave to >= 0.7.1
    This allows the injection of the virtual package octave-abi-N into the
    package's list of dependencies

 -- Rafael Laboissiere <rafael@debian.org>  Thu, 07 Nov 2019 04:45:47 -0300

octave-linear-algebra (2.2.2-8) unstable; urgency=medium

  * Team upload

  * d/p/errwarn-instead-of-gripes.patch: New patch.
    This patch allows the compilation against Octave 5.1.
  * d/control: Bump Standards-Version to 4.4.0 (no changes needed)

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 05 Oct 2019 08:15:48 -0300
