=== debian/control ===
--- 
+++ 
@@ -3,17 +3,16 @@
 Priority: optional
 Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
 Uploaders: Sébastien Villemot <sebastien@debian.org>
-Build-Depends: debhelper-compat (= 12),
-               dh-octave
-Standards-Version: 4.3.0
-Homepage: https://octave.sourceforge.io/linear-algebra/
+Build-Depends: debhelper-compat (= 13),
+               dh-sequence-octave
+Standards-Version: 4.7.2
+Homepage: https://gnu-octave.github.io/packages/linear-algebra/
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-linear-algebra.git
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-linear-algebra
 Testsuite: autopkgtest-pkg-octave
-Rules-Requires-Root: no
 
 Package: octave-linear-algebra
-Architecture: any
+Architecture: all
 Depends: ${misc:Depends}, ${shlibs:Depends}, ${octave:Depends}
 Description: additional linear-algebra functions for Octave
  This package provides additional functions to work on linear algebra
