## octave-linear-algebra 2.2.4

=== DESCRIPTION ===
Name: linear-algebra
Version: 2.2.4
Date: 2026-02-22
Author: various authors
Maintainer: Octave-Forge community <octave-dev@lists.sourceforge.net>
Title: Linear algebra.
Description: Additional linear algebra code, including matrix functions.
Categories: Linear algebra
Depends: octave (>= 4.0.0)
Autoload: no
License: GPLv3+, LGPLv3+, FreeBSD
Url: http://octave.sf.net
