=== debian/changelog ===
octave-linear-algebra (2.2.4-2) unstable; urgency=medium

  * d/rules: Exclude unit tests from funm.m when building for Octave 11

 -- Rafael Laboissière <rafael@debian.org>  Fri, 27 Feb 2026 06:37:16 +0000

octave-linear-algebra (2.2.4-1) unstable; urgency=medium

  * New upstream version 2.2.4
  * d/copyright: Reflect upstream changes
  * d/control:
    + Drop the redundant Priority field, which defaults to optional now
    + Bump Standards-Version to 4.7.3 (no changes needed)
    + Add myself to the Uploaders list
    + Build-depend on python3-minimal
  * d/clean: Drop obsolete file
  * Build the documentation (info and QT help forms)
    + d/rules: Add commands for building and cleaning up the documentation
    + d/control: Build-depend on qt6-documentation-tools
    + d/octave-linear-algebra.info: New file
    + d/patches/build-doc-without-hg.patch: New patch

 -- Rafael Laboissière <rafael@debian.org>  Wed, 25 Feb 2026 08:41:55 +0000
