=== debian/control ===
--- 
+++ 
@@ -1,11 +1,13 @@
 Source: octave-linear-algebra
 Section: math
-Priority: optional
 Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
-Uploaders: Sébastien Villemot <sebastien@debian.org>
+Uploaders: Sébastien Villemot <sebastien@debian.org>,
+           Rafael Laboissière <rafael@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               dh-sequence-octave
-Standards-Version: 4.7.2
+               dh-sequence-octave,
+               python3-minimal <!nodoc>,
+               qt6-documentation-tools <!nodoc>
+Standards-Version: 4.7.3
 Homepage: https://gnu-octave.github.io/packages/linear-algebra/
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-linear-algebra.git
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-linear-algebra
